%define upstream_name    Math-Int64
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Catch overflows when using Math::Int64
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
%description
This module adds support for 64 bit integers, signed and unsigned, to Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes INSTALL META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.540.0-2.mga6
+ Revision: 1029656
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.540.0-1.mga6
+ Revision: 919607
- update to 0.54

* Fri Jun 26 2015 tv <tv> 0.530.0-2.mga6
+ Revision: 844986
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.530.0-1.mga6
+ Revision: 841981
- New version 0.53 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 788630
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 745914
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-4.mga5
+ Revision: 685364
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.300.0-3.mga5
+ Revision: 631446
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 526512
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 shlomif <shlomif> 0.300.0-1.mga4
+ Revision: 437205
- New ver 0.30

* Sat Jun 01 2013 shlomif <shlomif> 0.290.0-4.mga4
+ Revision: 434023
- Fix patch + Rebuild for perl-5.18.0
- update to 0.28

  + jquelin <jquelin>
    - fix format security errors
    - perl 5.18.0 rebuild
    - update to 0.29

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 kharec <kharec> 0.260.0-1.mga3
+ Revision: 257862
- update to 0.26

* Tue Jun 05 2012 kharec <kharec> 0.230.0-1.mga3
+ Revision: 254514
- update to 0.23

* Mon Jun 04 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 254020
- imported package perl-Math-Int64


* Mon Jun 04 2012 cpan2dist 0.21-1mga
- initial mageia release, generated with cpan2dist
